--- pine.SlackBuild	2006-09-12 02:13:57.000000000 -0400
+++ pine.SlackBuild.s390x	2007-01-20 19:42:15.000000000 -0500
@@ -77,7 +77,7 @@
 sources in the /imap/docs directory.
 EOF
 chown root:root $PKG2/usr/doc/imap$VERSION/*
-./build slx SSLLIB=/usr/lib SSLDIR=/etc/ssl SSLCERTS=/etc/ssl/certs SSLINCLUDE=/usr/include/openssl SSLTYPE=unix OPTIMIZE=-O2 DEBUG=-O2 'LDAPLIBS=-lldap -llber' 'LDAPCFLAGS=-DENABLE_LDAP'
+./build slx SSLLIB=/usr/lib64 SSLDIR=/etc/ssl SSLCERTS=/etc/ssl/certs SSLINCLUDE=/usr/include/openssl SSLTYPE=unix OPTIMIZE=-O2 DEBUG=-O2 'LDAPLIBS=-lldap -llber' 'LDAPCFLAGS=-DENABLE_LDAP'
 #( cd imap ; make clean )
 #( cd imap ; make slx )
 for file in doc/pico.1 doc/pilot.1 doc/pine.1 ; do
@@ -110,10 +110,14 @@
 cd $TMP
 tar xzvf $CWD/pinepgp-$PINEPGP.tar.gz
 cd pinepgp-$PINEPGP
+# For whatever reason, my version of sed doesn't like the syntax they use
+cat $CWD/pinepgp.makefile.in.diff | patch --backup --suffix=.orig || exit 1
 chown -R root:root .
 ./configure --prefix=/usr
 make
 make install DESTDIR=$PKG1
+# Not sure why I need this and Pat doesn't
+chown root.bin $PKG1/usr/bin/*
 mkdir -p $PKG1/usr/doc/pinepgp-$PINEPGP
 cp -a COPYING README $PKG1/usr/doc/pinepgp-$PINEPGP 
 chmod 644 $PKG1/usr/doc/pinepgp-$PINEPGP/*
